List Patient Suspects
curl --request GET \
--url https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_bodySuspects
List Patient Suspects
Lists suspected conditions for a single patient as FHIR Bundles (analytics).
Listen to this pageabout 1 min
GET
/
medical
/
v1
/
patient
/
{patientId}
/
suspects
List Patient Suspects
curl --request GET \
--url https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sandbox.metriport.com/medical/v1/patient/{patientId}/suspects")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_bodyAnalytics must be enabled for your account to receive data
from this endpoint. Contact
us to get started.
patientId in the path.
Each result is a FHIR Bundle that includes a Patient resource, the suspected Condition, and evidence
resources (Observations, Procedures, MedicationRequests) that support the suspicion.
For more context on suspecting and how to interpret results, see the
Suspecting guide.
Path Params
Query Params
Response
Array of FHIR Bundle resources. Each bundle contains a
Patient, a Condition, and its supporting evidence.Show Bundle properties
Show Bundle properties
The patient this suspected condition applies to.
Show Patient properties
Show Patient properties
Your system’s version of the patient id. Each entry uses
Metriport’s external-id system and
use: "secondary".The suspected condition.
Show Condition properties
Show Condition properties
Always
unconfirmed — the condition has been flagged as a potential suspect but has not been clinically confirmed.Metriport-specific extensions summarizing the evidence.
Show Extension properties
Show Extension properties
URL:
https://public.metriport.com/fhir/StructureDefinition/suspect-type. Either "suspect" (new suspected condition) or "recapture" (previously diagnosed condition requiring re-documentation).URL:
https://public.metriport.com/fhir/StructureDefinition/evidence-count. Total number of supporting evidence records.URL:
https://public.metriport.com/fhir/StructureDefinition/first-evidence-date. Date of the earliest supporting evidence.URL:
https://public.metriport.com/fhir/StructureDefinition/last-evidence-date. Date of the most recent supporting evidence.URL:
https://public.metriport.com/fhir/StructureDefinition/hcc-code. The Hierarchical Condition Category code for this condition.The suspected manifestations and their supporting evidence references.
Show ConditionEvidence properties
Show ConditionEvidence properties
The suspect manifestation definition coded using the Metriport
suspect-manifestation CodeSystem. Includes a human-readable text field describing the clinical rule.Evidence resources supporting the suspicion.
Show Observation properties
Show Observation properties
One of
registered, preliminary, final, amended, corrected, cancelled, entered-in-error, or unknown.Show Procedure properties
Show Procedure properties
One of
preparation, in-progress, not-done, on-hold, stopped, completed, entered-in-error, or unknown.Show MedicationRequest properties
Show MedicationRequest properties
One of
active, on-hold, cancelled, completed, entered-in-error, stopped, draft, or unknown.One of
proposal, plan, order, original-order, reflex-order, filler-order, instance-order, or option. Defaults to "order".Response
{
"metadata": {
"total": 1,
"limit": 20,
"offset": 0
},
"results": [
{
"resourceType": "Bundle",
"type": "collection",
"entry": [
{
"fullUrl": "urn:uuid:11111111-1111-1111-1111-111111111111",
"resource": {
"resourceType": "Patient",
"id": "00000000-0000-0000-0000-000000000000",
"identifier": [
{
"value": "1234567890",
"system": "https://public.metriport.com/fhir/StructureDefinition/external-id.json",
"use": "secondary"
}
],
"name": [
{ "given": ["Sam"], "family": "Example" }
],
"gender": "male",
"birthDate": "1975-03-20"
}
},
{
"fullUrl": "urn:uuid:55555555-5555-5555-5555-555555555555",
"resource": {
"resourceType": "Condition",
"id": "88888888-8888-8888-8888-888888888888",
"subject": {
"reference": "Patient/00000000-0000-0000-0000-000000000000"
},
"code": {
"coding": [
{
"system": "http://hl7.org/fhir/sid/icd-10-cm",
"code": "E11.9",
"display": "Type 2 diabetes mellitus without complications"
}
]
},
"verificationStatus": {
"coding": [
{
"system": "http://terminology.hl7.org/CodeSystem/condition-ver-status",
"code": "unconfirmed",
"display": "Unconfirmed"
}
]
},
"extension": [
{
"url": "https://public.metriport.com/fhir/StructureDefinition/suspect-type",
"valueString": "suspect"
},
{
"url": "https://public.metriport.com/fhir/StructureDefinition/evidence-count",
"valueInteger": 3
},
{
"url": "https://public.metriport.com/fhir/StructureDefinition/first-evidence-date",
"valueDate": "2023-09-21"
},
{
"url": "https://public.metriport.com/fhir/StructureDefinition/last-evidence-date",
"valueDate": "2023-09-27"
},
{
"url": "https://public.metriport.com/fhir/StructureDefinition/hcc-code",
"valueString": "38"
},
{
"url": "https://public.metriport.com/fhir/StructureDefinition/job-id",
"valueString": "22222222-2222-2222-2222-222222222222"
}
],
"evidence": [
{
"code": [
{
"coding": [
{
"system": "https://public.metriport.com/fhir/CodeSystem/suspect-manifestation",
"code": "diabetes_fpg_126_199",
"display": "Diabetes (FPG 126-199 mg/dL)"
}
],
"text": "Fasting glucose 126-199 mg/dL on two separate dates."
}
],
"detail": [
{
"type": "Observation",
"reference": "Observation/33333333-3333-3333-3333-333333333333"
},
{
"type": "Observation",
"reference": "Observation/44444444-4444-4444-4444-444444444444"
}
]
}
]
}
},
{
"fullUrl": "urn:uuid:66666666-6666-6666-6666-666666666666",
"resource": {
"resourceType": "Observation",
"id": "33333333-3333-3333-3333-333333333333",
"status": "final",
"code": {
"coding": [
{
"system": "http://loinc.org",
"code": "1558-6"
}
]
},
"effectiveDateTime": "2023-09-27",
"valueQuantity": {
"value": 141,
"unit": "mg/dL"
}
}
},
{
"fullUrl": "urn:uuid:77777777-7777-7777-7777-777777777777",
"resource": {
"resourceType": "Observation",
"id": "44444444-4444-4444-4444-444444444444",
"status": "final",
"code": {
"coding": [
{
"system": "http://loinc.org",
"code": "1558-6"
}
]
},
"effectiveDateTime": "2023-09-23",
"valueQuantity": {
"value": 152,
"unit": "mg/dL"
}
}
}
]
}
]
}

